%define subrel 1
%define rel 1
Summary:        A cross-platform music player based on Amarok 1.4
Name:        clementine
Version:        1.0.1
Release:        %mkrel %{rel}
Source0:        http://clementine-player.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         clementine-1.0.0rc1-fix-clementine-desktop.patch
License:        GPLv3
Group:        Sound 
URL:        http://www.clementine-player.org/
BuildRequires:        qt4-devel >= 4:4.5.0
BuildRequires:        kdelibs4-devel
BuildRequires:        kde4-macros
BuildRequires:        liblastfm-devel
BuildRequires:        libboost-devel
BuildRequires:        qt4-linguist
BuildRequires:        pkgconfig(taglib) >= 1.6
BuildRequires:        pkgconfig(gstreamer-0.10)
BuildRequires:        pkgconfig(glew)
BuildRequires:        pkgconfig(libmtp)
BuildRequires:        pkgconfig(libusbmuxd)
BuildRequires:        pkgconfig(libplist)
BuildRequires:        pkgconfig(libimobiledevice-1.0)
BuildRequires:        pkgconfig(libgpod-1.0) >= 0.7.92
BuildRequires:        pkgconfig(libarchive)
BuildRequires:        pkgconfig(libechonest)
BuildRequires:        pkgconfig(QtWebKit)
BuildRequires:        pkgconfig(gstreamer-app-0.10)
BuildRequires:        pkgconfig(gstreamer-tag-0.10)
BuildRequires:        pkgconfig(gstreamer-cdda-0.10)
BuildRequires:        pkgconfig(qca2)
BuildRequires:        pkgconfig(libcdio)
BuildRequires:        pkgconfig(protobuf)

Requires:        libprojectm-data
Requires:        qca2-plugin-openssl
Requires:        qt4-database-plugin-sqlite
# Add a requires for gstreamer0.10-ofa to allow Music Brain functionnality (mga #1581)
Requires:        gstreamer0.10-ofa
# Add more suggests since gstreamer0.10 was not provided on mageia 1 ( mga #1987)
Suggests:        gstreamer0.10-plugins-good
Suggests:        gstreamer0.10-plugins-ugly
Suggests:        gstreamer0.10-flac
Suggests:        gstreamer0.10-musepack
Suggests:        gstreamer0.10-gsm
Suggests:        gstreamer0.10-faad
Suggests:        gstreamer0.10-neon
Suggests:        gstreamer0.10-plugins-bad
Suggests:        gstreamer0.10-ffmpeg


# Needed to be able to mount ipod/iphone/ipad (not tested locally) but it's also pulling gvfs
# which is need at least to mount mtp devices (tested locally)
Suggests:        gvfs-iphone
%description
Clementine is a modern music player and library organiser. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt4. 
Features:
        * Search and play your local music library
        * Listen to internet radio from Last.fm, SomaFM and Magnatune
        * Tabbed playlists, import and export M3U, XSPF, PLS and ASX
        * Visualisations from projectM
        * Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
        * Edit tags on MP3 and OGG files, organise your music
        * Download missing album cover art from Last.fm
        * Remote control using a Wii Remote, MPRIS or the command-line
        * Copy music to your iPod, iPhone, MTP or mass-storage USB player
        * Queue manager

%files 
%doc COPYING Changelog
%_bindir/clementine
%_datadir/applications/clementine.desktop
%_iconsdir/hicolor/64x64/apps/application-x-clementine.png
%_iconsdir/hicolor/scalable/apps/application-x-clementine.svg

#------------------------------------------------------------------------------

%package -n plasma-runner-clementine
Summary: Plasma runner for clementine
Requires: kdebase4-runtime
%description -n plasma-runner-clementine
Clementine is a modern music player and library organiser. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt4.

This package provides the plasma runner for clementine.

%files -n plasma-runner-clementine
%_kde_libdir/kde4/plasma_runner_clementine.so
%_kde_services/plasma-runner-clementine.desktop

#---------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_qt4 -DBUNDLE_PROJECTM_PRESETS=OFF -DENABLE_PLASMARUNNER=ON -D -DENABLE_REMOTE=ON
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build


%changelog

* Thu Jan 03 2013 juancho <juancho> 1.0.1-1.1.mga2
+ Revision: 337917
- Added Requires for qca2-plugin-openssl to fix bug #8578

  + mikala <mikala>
    - Update tarball to 1.0.1

* Thu Dec 29 2011 mikala <mikala> 1.0.0-1.mga2
+ Revision: 188725
- Update tarball to final 1.0.0

* Tue Dec 20 2011 mikala <mikala> 1.0.0-0.rc1.1.mga2
+ Revision: 184894
- Add patch0 to remove the unity blog in the .desktop file
- Update tarball to 1.0.0 rc1
- Add more BR ( qca2, libcdio, protobuff)
- Fix BR for QtWebkit
- Enable support for remove control
- Enable the build of the plasma runner plugin
- use spaces instead of tabs

* Mon Oct 03 2011 fwang <fwang> 0.7.1-2.mga2
+ Revision: 151170
- rebuild for new glew

* Sun Jul 17 2011 fwang <fwang> 0.7.1-1.mga2
+ Revision: 125203
- rebuild for new libmtp

* Fri Apr 01 2011 mikala <mikala> 0.7.1-0.mga2
+ Revision: 79539
- Update tarball to 0.7.1

* Mon Mar 28 2011 mikala <mikala> 0.7-0.mga1
+ Revision: 78283
- Update tarball to 0.7
- Clean spec

* Fri Mar 25 2011 ahmad <ahmad> 0.6-5.mga1
+ Revision: 77425
- bump rel and submit to core/testing to build against libimobiledevice-1.1.0

* Thu Feb 17 2011 mikala <mikala> 0.6-4.mga1
+ Revision: 52780
- Disable libindicate-qt-devel BR
- imported package clementine

